StarWriterStruct::DocStats Struct Reference

the doc statistic More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions

| DocStats ()
| constructor
bool | read (StarZone &zone)
| try to read a docStats: 'd'

## Public Attributes

long | m_numbers [7]
| the list of number: tbl, graf, ole, page, para, word, char
bool | m_isModified
| modified flags

## Friends

std::ostream & | operator<< (std::ostream &o, DocStats const &docStats)
| operator<<

## Detailed Description

the doc statistic

## Constructor & Destructor Documentation

## DocStats()

StarWriterStruct::DocStats::DocStats | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## read()

bool StarWriterStruct::DocStats::read | ( | StarZone & | zone | ) |

try to read a docStats: 'd'

Referenced by StarObjectText::readWriterDocument().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | DocStats const & | docStats )

friend

operator<<

## Member Data Documentation

## m_isModified

bool StarWriterStruct::DocStats::m_isModified

modified flags

Referenced by DocStats(), operator<<, and read().

## m_numbers

long StarWriterStruct::DocStats::m_numbers[7]

the list of number: tbl, graf, ole, page, para, word, char

Referenced by DocStats(), operator<<, and read().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx